From 5be784278e8e7aeeeadf60a772afccda7b59e6e4 Mon Sep 17 00:00:00 2001
From: Atsushi Torikoshi <torikoshia@oss.nttdata.com>
Date: Fri, 29 Jul 2022 21:34:15 +0900
Subject: [PATCH v1] Modified a comment referring to stats collector.

As statistics collector has been removed since 5891c7a8ed8f2d3d5,
comments refering to statistics collector should be modified to
cumulative statistics system.
---
 src/include/catalog/pg_statistic.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/include/catalog/pg_statistic.h b/src/include/catalog/pg_statistic.h
index cdf7448139..d07fd2f93f 100644
--- a/src/include/catalog/pg_statistic.h
+++ b/src/include/catalog/pg_statistic.h
@@ -178,9 +178,9 @@ DECLARE_FOREIGN_KEY((starelid, staattnum), pg_attribute, (attrelid, attnum));
  * the K most common non-null values appearing in the column, and stanumbers
  * contains their frequencies (fractions of total row count).  The values
  * shall be ordered in decreasing frequency.  Note that since the arrays are
- * variable-size, K may be chosen by the statistics collector.  Values should
- * not appear in MCV unless they have been observed to occur more than once;
- * a unique column will have no MCV slot.
+ * variable-size, K may be chosen by the cumulative statistics system.
+ * Values should not appear in MCV unless they have been observed to occur
+ * more than once; a unique column will have no MCV slot.
  */
 #define STATISTIC_KIND_MCV	1
 

base-commit: 59be1c942a47f6c8a4c47d242200fbbf4be59b88
-- 
2.27.0

